> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Entities

export const get_pagination_defaults = (resource_name = 'records') => [{
  name: 'from_date',
  type: 'string',
  required: false,
  description: `ISO 8601 formatted date (YYYY-MM-DD) to filter for ${resource_name} created on or after the date provided.`
}, {
  name: 'to_date',
  type: 'string',
  required: false,
  description: `ISO 8601 formatted date (YYYY-MM-DD) to filter for ${resource_name} created on or before the date provided.`
}, {
  name: 'page',
  type: 'string',
  required: false,
  description: `The page number to return.`
}, {
  name: 'page_cursor',
  type: 'string',
  required: false,
  description: <>
        The ID of a resource from which a page should start or end. Mutually exclusive with <code>page</code>.
      </>
}, {
  name: 'page_limit',
  type: 'string',
  required: false,
  description: `The number of ${resource_name} to return per page. Default and maximum is 100.`
}];

export const ExpandableFieldsQueryParams = (resource_type = 'all') => {
  const entity = [{
    name: 'connect',
    description: <>This is an <a href="/reference/entities/overview">Entity</a> property, and refers to the <a href="/reference/entities/connect/overview#connect-objects">Connect Object</a>.</>
  }, {
    name: 'credit_score',
    description: <>This is an <a href="/reference/entities/overview">Entity</a> property, and refers to the <a href="/reference/entities/credit-scores/overview#creditscore-objects">CreditScore Object</a>.</>
  }, {
    name: 'attribute',
    description: <>This is an <a href="/reference/entities/overview">Entity</a> property, and refers to the <a href="/reference/entities/attributes/overview#attribute-objects">Attribute Object</a>.</>
  }, {
    name: 'vehicle',
    description: <>This is an <a href="/reference/entities/overview">Entity</a> property, and refers to the <a href="/reference/entities/vehicles/overview#vehicle-objects">Vehicle Object</a>.</>
  }, {
    name: 'identity_latest_verification_session',
    description: <>This is an <a href="/reference/entities/overview">Entity</a> property, and refers to the <a href="/reference/entities/verification-sessions/overview#entity-verification-session-objects">EntityVerificationSession Object</a>.</>
  }, {
    name: 'phone_latest_verification_session',
    description: <>This is an <a href="/reference/entities/overview">Entity</a> property, and refers to the <a href="/reference/entities/verification-sessions/overview#entity-verification-session-objects">EntityVerificationSession Object</a>.</>
  }];
  const account = [{
    name: 'sensitive',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/sensitive/overview#sensitive-objects">Sensitive Object</a>.</>
  }, {
    name: 'balance',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/balances/overview#balances-objects">Balance Object</a>.</>
  }, {
    name: 'card_brand',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/card-brands/overview#cardbrand-objects">CardBrand Object</a>.</>
  }, {
    name: 'attribute',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/attributes/overview#attribute-objects">Attribute Object</a>.</>
  }, {
    name: 'payoff',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/payoffs/overview#payoff-objects">Payoff Object</a>.</>
  }, {
    name: 'transaction',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/transactions/overview#transaction-objects">Transaction Object</a>.</>
  }, {
    name: 'update',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/updates/overview#update-objects">Update Object</a>.</>
  }, {
    name: 'payment_instrument',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/payment-instruments/overview#paymentinstrument-objects">PaymentInstrument Object</a>.</>
  }, {
    name: 'latest_verification_session',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/accounts/verification-sessions/overview#accountverificationsession-objects">AccountVerificationSession Object</a>.</>
  }, {
    name: 'liability.mch_id',
    description: <>This is an <a href="/reference/accounts/overview">Account</a> property, and refers to the <a href="/reference/merchants/overview">Merchant Object</a>.</>
  }];
  const ExpandableFieldsByResourceType = {
    entity,
    account,
    all: Array.from(new Set([...entity, ...account]))
  };
  return {
    name: "expand",
    type: "enum[]",
    description: <>
      Attributes that can be expanded into an object to
      provide additional information.
      </>,
    enums: [...ExpandableFieldsByResourceType[resource_type].map(expandable_field => ({
      ...expandable_field
    }))]
  };
};

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Returns all the Entities associated with your team, or an empty array if none have been created.

## Query Parameters

<ParamList
  items={[
{
  name: "type",
  type: "string",
  required: false,
  description: "The type of Entities to retrieve.",
  enums: ["individual", "corporation"],
},
{
  name: "status",
  type: "string",
  required: false,
  description: "The status of Entities to retrieve.",
  enums: ["active", "incomplete", "disabled"],
},
...get_pagination_defaults('Entities'),
ExpandableFieldsQueryParams('entity'),
]}
/>

## Returns

Returns a list of Entities.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/entities \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const entities = await method.entities.list();
  ```

  ```python Python theme={null}
  entities = method.entities.list()
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "data": [
      {
        "id": "ent_76kPG9mJyyGYL",
        "type": "individual",
        "individual": {
            "first_name": "Kevin",
            "last_name": "Doyle",
            "phone": "+15121231111",
            "dob": "1997-03-18",
            "email": "kevin.doyle@gmail.com",
            "ssn_4": null,
            "ssn": "xxxxxxxxx"
        },
        "error": null,
        "address": {
            "line1": "3300 N Interstate 35",
            "line2": null,
            "city": "Austin",
            "state": "TX",
            "zip": "78705"
        },
        "status": "active",
        "verification": {
          "identity": {
            "verified": true,
            "matched": true,
            "latest_verification_session": "evf_mQ6yr6VVJLNEb",
            "methods": []
          },
          "phone": {
            "verified": true,
            "latest_verification_session": "evf_P4QXNj93Y9J8L",
            "methods": []
          }
        },
        "connect": null,
        "credit_score": null,
        "products": [
          "connect",
          "credit_score",
          "identity"
        ],
        "restricted_products": [
          "attribute"
        ],
        "subscriptions": [
          "connect"
        ],
        "available_subscriptions": [],
        "restricted_subscriptions": [
          "credit_score"
        ],
        "metadata": null,
        "created_at": "2023-10-23T05:46:14.550Z",
        "updated_at": "2023-10-23T05:46:14.550Z"
      },
      {
        "id": "ent_A6bmTtFmxQhGQ",
        "type": "corporation",
        "corporation": {
          "name": "Alphabet Inc.",
          "dba": "Google",
          "ein": "641234567",
          "owners": [
            {
              "first_name": "Sergey",
              "last_name": "Brin",
              "phone": "+16505555555",
              "email": "sergey@google.com",
              "dob": "1973-08-21",
              "address": {
                "line1": "600 Amphitheatre Parkway",
                "line2": null,
                "city": "Mountain View",
                "state": "CA",
                "zip": "94043"
              }
            }
          ]
        },
        "error": null,
        "address": {
          "line1": "1600 Amphitheatre Parkway",
          "line2": null,
          "city": "Mountain View",
          "state": "CA",
          "zip": "94043"
        },
        "status": "active",
        "metadata": null,
        "created_at": "2023-10-24T21:26:17.225Z",
        "updated_at": "2023-10-24T21:26:17.225Z"
      } ,
      {
        "id": "ent_mxp3B3yyKLHTH",
        "type": "individual",
        "individual": {
            "first_name": "Alex",
            "last_name": "Kennedy",
            "phone": "+19565555555",
            "dob": "1985-04-23",
            "email": "alex.kennedy@hey.com",
            "ssn_4": null,
            "ssn": null
        },
        "error": null,
        "address": {
            "line1": "1 Hacker Way",
            "line2": null,
            "city": "Menlo Park",
            "state": "CA",
            "zip": "94025"
        },
        "status": "active",
        "verification": {
          "identity": {
            "verified": true,
            "matched": true,
            "latest_verification_session": "evf_mQ6yr6VVJLNEb",
            "methods": []
          },
          "phone": {
            "verified": true,
            "latest_verification_session": "evf_P4QXNj93Y9J8L",
            "methods": []
          }
        },
        "connect": null,
        "credit_score": null,
        "products": [
          "connect",
          "credit_score"
        ],
        "restricted_products": [
          "identity"
        ],
        "subscriptions": [],
        "available_subscriptions": [
          "connect",
          "credit_score"
        ],
        "restricted_subscriptions": [],
        "metadata": null,
        "created_at": "2023-10-23T05:46:14.550Z",
        "updated_at": "2023-10-23T05:46:14.550Z"
      }
    ]
  }
  ```
</ResponseExample>
